# Changelog

All notable changes to this project will be documented in this file.

The format is based on [Keep a Changelog](https://keepachangelog.com/en/1.0.0/),
and this project adheres to
[Semantic Versioning](https://semver.org/spec/v2.0.0.html).

## Unreleased

## [0.65.0]

### Changed

- **Breaking:** Gatsby and related packages upgraded to version 5. **Please update Gatsby and all plugins**
- **Breaking: Also, take a look at
  [v4 migration guide](https://www.gatsbyjs.com/docs/reference/release-notes/migrating-from-v4-to-v5)
  and make sure there's no other breaking changes and run suggested upgrade for graphql queries**.
- **Breaking:** Development packages are moved to `devDependencies` (was in `dependencies` before to allow
  build with `yarn install --production`, which is now deprecated).
- **Breaking:** Node verison 18 is required.

## [0.64.0]

### Added

- Support for custom menu items to `Menu` component.

## [0.63.0]

### Changed

- Layout property `siteImageRelativePath` and `pageTitle` is now moved into an
  `seo` object that takes the following properties:
  - `imageRelativePath`, former `siteImageRelativePath`. Now supports different
    images for different pages.
  - `title`, former `pageTitle`. Still defaults to `name` in `siteMetadata`.
  - `language`, former `lang`. Still defaults to `sv`.
  - `description`. Still defaults to `description` in `siteMetadata`.
  - `metaTags`, an array with extra meta tags.

### Removed

- **Breaking**. Clerk component is extracted to a separate package. Simply
  **install @formclerk/react** and **update styles** (CSS class changed from
  `heimr-clerk` to `clerk`). @formclerk/react is using the new validations in
  the backend to prevent spam.

## [0.62.0]

### Changed

- Gatsby upgraded to latest ^4 version. **Please update Gatsby and all
  plugins**.

- **Also take a look at
  [v4 migration guide](https://www.gatsbyjs.com/docs/reference/release-notes/migrating-from-v3-to-v4/)
  and make sure there's no other breaking changes**

- gatsby-image is now replaced with gatsby-plugin-image. If you don't want to
  migrate all images on the site, you might want to att gatsby-image and use
  both for a while.

## [0.61.0]

### Changed

- Gatsby upgraded to latest ^3 version. **Please update Gatsby and all plugins**

- **Also take a look at
  [v3 migration guide](https://www.gatsbyjs.com/docs/reference/release-notes/migrating-from-v2-to-v3/#handling-breaking-changes)
  and make sure there's no other breaking changes**

## [0.60.0]

### Changed

- Gatsby upgraded to latest ^2 version. **Please update Gatsby and all plugins**

### Removed

- BackgroundSlider

## [0.59.0]

### Added

- useWindowResize hook

### Changed

- Oma upgraded to version 0.8.0. **Please update all oma components.**

## [0.58.3]

### Fixed

- Deployment script no longer crashes on empty repositories

## [0.58.2]

### Changed

- Upgrades package dependencies

## [0.58.1]

### Fixed

- Fixes unset variable in deployment script.

## [0.58.0]

### Changed

- Clerk component now uses the new cloud function URL to use the next version of
  Clerk! :D

## [0.57.2]

### Fixed

- Deployment script exits on error or unset variables.

## [0.57.1]

### Fixed

- Adds back support for Bash 4 for deployment script.

## [0.57.0]

### Added

- Deployment script now tries to cleanup created git tags on fail

### Changed

- Automatic commit messages for production deploys now includes a unique
  timesamp suffix to allow deploying multiple versions of the same source code.
  The fetched data from sources can of course differ.

## [0.56.0]

### Changed

- Updates oma-components to 0.7.0

### Removed

- Removes GoogleMap in favor of oma-google-map

## [0.55.1]

### Changed

- Upgrades dependencies for Stylelint

## [0.55.0]

### Removed

- `ImageGallery` component extracted to a separate library:
  [@heimr/react-image-gallery](https://www.npmjs.com/package/@heimr/react-image-gallery).

## [0.54.0]

### Changes

- New default style for paragraphs: small space after each paragraph that is not
  last child.

## [0.53.0]

### Changes

- Deployment script no longer takes a semver for creating tags for production
  builds. Semver does not make sense for websites. Instead, a version number is
  automatically build with git data: commit-count + commit-sha. The commit count
  hopefully increases by time and the commit sha makes the tag unique.

- Bumps minimum required version of gatsby-plugin-asset-path

## [0.52.1]

### Fixes

- Invalid peer dependency to Gatsby.

## [0.52.0]

### Changes

- Upgrades dependency on Gatsby to 2.31.1.

### Fixes

- Build error `Cannot find module 'babel-runtime/regenerator'`.

## [0.51.1]

### Fixes

- Deployment script incorrectly set `config.yaml`'s `domains` key to single
  value instead of array.

## [0.51.0]

### Changes

- Deployment script now copies the site's `config.yaml` and overrides `domains`
  and `name` keys. Before, a completely new file was generated. This change adds
  support for new keys, for instance `base_image`.

## [0.50.0]

### Changes

- Oma components are no longer render blocking, which results in overall better
  page speed performance.

## [0.49.1] - 2020-11-26

## Changed

- Oma components are again render blocking since moving them outside of `<head>`
  broke the web components when running `gatsby develop` although `gatsby build`
  did work.

## [0.49.0] - 2020-11-24

**Note: Polyfill should be removed on all sites! See instructions below**

## Changes

- Oma components are no longer render blocking.

## Removed

- Drops polyfill for web components since we don't need it anymore. Browsers
  that does not support web components are simply not supported anymore (all
  major browsers has support nowadays). Even though the polyfill was loaded in
  the theme, **the polyfill was actually included in `static/assets/`
  (`webcomponents-loader.js` and `bundles/`) on all sites, so these should now
  be removed**.

## [0.48.0] - 2020-09-15

## Changed

- Changes registry from private to NPM. This means you can remove `.npmrc` from
  the project if you are not fetching any other packages from the private
  registry.

## [0.47.0] - 2020-09-15

## Changed

- Deployment script no longer run `gatsby clean` at the end. It should no longer
  be needed due to dependency updates.
- Properly upgrades gatsby. Only peer dependency was updated in last version,
  now the dev dependency is updated as well.

## [0.46.1] - 2020-09-15

## Changed

- Updates dependencies
- Removes version lock from Gatsby!

## [0.46.0] - 2020-09-15

## Changed

- During build, assets are now moved instead of copied. That adds a lot of
  duplicates, but that's how Gatsby suggested the plugin author to do to solve
  caching issues.
  https://github.com/madecomfy/gatsby-plugin-asset-path/issues/31
- Updates dependencies

## Fixed

- Favicons are now properly placed in asset path (has been broken since [0.41.2]
  I think)
- css.map files are at last placed properly in asset path (has been broken since
  we added the asset path plugin)

## Removed

- NonStretchedFluidImage. There's a new way to handle non stretched Gatsby
  images now:
  https://github.com/gatsbyjs/gatsby/tree/master/packages/gatsby-image#avoiding-stretched-images-using-the-fluid-type

## [0.45.0] - 2020-09-07

## Added

- Clerk support for Radio buttons.

## [0.44.0] - 2020-07-12

**Clerk is heavily refactored**.

### Added

- Clerk takes three new properties for showing status messages: `Processing`,
  `Success` and `Failure`. These are custom components. You can choose where
  those are rendered in relation to the form fields with the new `alignment`
  property. The default value is `replace`, which replaces the fields with the
  status component. You can also choose between `above` and `below`, which
  places the status component above or below the fields.

### Changed

- Clerk `fields` prop is removed in favor of passing them as children. Instead
  of the `initialValue` attribute used before when passing fields with `fields`
  prod, use `defaultValue` attribute on fields to set a default value (initial
  state). **When upgrading, make sure testing the forms and verify that correct
  data is sent!**.

### Removed

- Clerk no longer provides any form validation. You need to do this on your own.
- Clerk no longer provides a submit button. Add your own. Clerk listens on the
  `onSubmit` event. Because of this the `submitText` property is removed.
- Since Clerk no longer creates the fields, you now need to handle your input
  CSS classes on your own. `heimr-clerk__label` as well as
  `heimr-clerk__{${field.tag}}` are removed. Not that the top level
  `heimr-clerk` class is **not** removed.
- Clerk no longer cascades BEM classes. If you set
  `<Clerk className="my-form" ... />` your fields got BEM classes automatically,
  for instance `my-form__input`.
- Clerk statuses are no longer exported. The status is now internal only.

## [0.43.1] - 2020-07-09

### Fixed

- Fixes broken deployment script (missed going to correct project directory when
  cleaning after build).

## [0.43.0] - 2020-07-09

### Changed

- Updates browserlist to explicitly not support OperaMini and OperaMobile, two
  old browsers with lack of support for modern web technology which we use.
  **All sites needs to update their browserlist!**

### Fixed

- Adds cleaning to deployment script. After building a production build, you
  need to clean the Gatsby project. Otherwise, development build can fail due to
  conflicting files from production build.

## [0.42.0] - 2020-06-30

### Changed

- @danbruegge/gatsby-plugin-stylelint is now a peer dependency rather than an
  ordinary dependency, so the plugin is now needed on every site. The package
  should be added as a dev package. Most sites with this theme created up until
  now probably has the plugin added that way already.
- Stylelint is now properly configured and lints CSS and SCSS files. Sites will
  need to add a proper stylelint config for SCSS. See theme demo's
  `package.json` for example config.

## [0.41.4] - 2020-06-24

### Fixed

- Unused imports removed, which fixes warnings
- Changes deployment script to use regex instead of string slicing

## [0.41.3] - 2020-06-02

### Fixed

- Card alt tag is properly rendered (before, image title was used as alt tag).

## [0.41.2] - 2020-05-28

### Changed

- Upgrades packages and updates dependencies

## [0.41.1] - 2020-05-28

### Changed

- Upgrades packages

### Fixes

- Build problem with gatsby, so that package is locked down to latest working
  version

## [0.41.0] - 2020-05-22

### Changed

- Upgrades packages

## [0.40.3] - 2020-05-12

### Changed

- Upgrades oma-site to 0.5.0.

## [0.40.2] - 2020-05-05

### Fixed

- Clerk component did not properly handle undefined classname property, which
  lead to crash in build.

## [0.40.1] - 2020-05-04

### Fixed

- Deployent script annotation was wrong, so the script could be run as an sh
  script, which then failed due to invalid syntax.

## [0.40.0] - 2020-04-27

### Added

- Deployment script. See theme starter's yarn deploy scripts to make use of it.

## [0.39.0] - 2020-03-24

### Added

- Clerk block classNames cascade down to fields and submit
- Clerk supports `select` tag

## [0.38.1] - 2020-03-10

### Fixed

- Manifest file is now correctly linked.
- Segfault errors when building many thumbnails.

## [0.38.0] - 2020-03-08

### Added

- Support for required fields in Clerk.

## [0.37.1] - 2020-03-08

### Fixed

- Hopefully, this fixed a problem with state update in Clerk. The initial values
  were not updated if the fields were.

## [0.37.0] - 2020-03-07

### Added

- Clerk fields takes `props` property to support for instance `row` for
  `textarea`s.

### Fixed

- Hidden fields no longer have labels

### Removed

- Clerk fields no longer takes `type` property.

## [0.36.1] - 2020-03-07

### Fixed

- Adds missing class name to Clerk fields

## [0.36.0] - 2020-03-07

### Added

- Support for hidden fields in Clerk

### Changed

- Clerk property `inputs` is renamed to `fields` since there are many different
  types supported where input is only one of them.
- Clerk property `initialState` is removed. Instead, pass the value directly in
  each field.

## [0.35.1] - 2020-03-06

### Fixed

- Class name of Clerk was `heimr-clerk__form` and is corrected to `heimr-clerk`.

## [0.35.0] - 2020-03-06

### Added

- Support for more input types in Clerk. Before, only `<input>` was supported.
  Now it support for instance `<textarea>`

## [0.34.1] - 2020-03-06

### Fixed

- Added missing prop to Clerk to pass the actual site id (was hard coded to test
  site before)

## [0.34.0] - 2020-03-06

### Added

- Component for Clerk, our form posting service

## [0.33.1] - 2020-02-25

### Fixed

- Card component was using an ordinary `<a>` tag instead of the Link component.
  Using this with internal links from Gatsby would make the page reload.

## [0.33.0] - 2020-02-06

### Added

- Adds content block to CookiesInfo

## [0.32.3] - 2020-02-06

### Fixed

- Captions prop (did not work before)

## [0.32.2] - 2020-01-30

### Fixed

- Adds missing `className` prop to `Card`

## [0.32.1] - 2020-01-26

### Fixed

- Missing link in SwedishCookiesInfo

## [0.32.0] - 2020-01-24

### Added

- CSS class `heimr-section` and `heimr-section__text`, `heimr-section__list`,
  `heimr-section__heading`, `heimr-section__sub-heading`,
  `heimr-created-by__link`, `heimr-created-by__link--accodeing` and
  `heimr-created-by__link--a-la-enell`

### Removed

- CSS class `section`, `heimr-unordered-list`, `heimr-heading` and
  `heimr-sub-heading` and `heimr-link`, `heimr-link--accodeing`,
  `heimr-link--a-la-enell`

## [0.31.1] - 2020-01-24

### Added

- Default class name `heimr-link` to Link component

## [0.31.0] - 2020-01-23

### Added

- Support for loading Oma components via HeimrLayout. See demo for an example.

## [0.30.0] - 2020-01-22

### Added

- CSS class `heimr-hamburger-button`

### Changed

- CSS class `heimr-gatsby-menu` renamed to `heimr-menu`

### Removed

- CSS class `heimr-gatsby-hamburger-menu`
- CSS class `heimr-gatsby-full-size-menu`

## [0.29.2] - 2020-01-22

### Changed

- Text in SwedishCookiesInfo

## [0.29.1] - 2020-01-21

### Added

- Default class names and props to SwedishCookiesInfo

## [0.29.0] - 2020-01-21

### Added

- SwedishCookiesInfo

## [0.28.1] - 2020-01-20

### Fixed

- Invalid prop in Link component

## [0.28.0] - 2020-01-20

### Added

- Matomo for page analytics

## [0.27.3] - 2020-01-15

### Fixed

- Corrects height of html tag to cover whole page

## [0.27.2] - 2020-01-14

### Fixed

- Invalid argument to useEffect in Layout component which gave to React error.

## [0.27.1] - 2020-01-13

### Fixed

- Invalid link in Card

## [0.27.0] - 2020-01-13

### Added

- Adds Cards component. See example usage in demo site.

### Changed

- ImageGallery thumbnails has changed CSS class name from 'heimr-gallery**thumb'
  to 'heimr-gallery**thumbnail'.

## [0.26.4] - 2020-01-08

### Changed

- ImageGallery refactored to fix problem with iOS. The former gallery modal did
  not work with iOS, so react-images is now replaced with react-image-lightbox.
- Height on body and html is now at least 100%

## [0.26.3] - 2020-01-07

### Changed

- Makes body tag span whole page height.

## [0.26.2] - 2020-01-05

### Changed

- All dependencies actually upgraded, 0.26.1 only upgrades the packages
  internally in the theme.

## [0.26.1] - 2020-01-05

### Changed

- All dependencies upgraded. Should not have any affect on the theme, more than
  possibly solving a build problem with sharp.

## [0.26.0] - 2019-12-21

### Changed

- Removes button reset CSS from Hamburger menu button

## [0.25.1] - 2019-12-20

### Added

- Adds alt tags to images in ImageGallery

## [0.25.0] - 2019-12-17

### Added

- Font Awesome support via prop to HeimrLayout

## [0.24.0] - 2019-12-16

### Changed

- ImageGallery property `titlesInGrid` renamed to `caption` and BEM class
  `heimr-gallery__title` to `heimr-gallery__caption`
- Renames ImageGallery BEM class `heimr-gallery__button` to
  `heimr-gallery__item` and changes HTML tag from `button` to `div`.

## [0.23.1] - 2019-12-13

### Fixed

- Missing class name for menu items wrapper

## [0.23.0] - 2019-12-10

### Added

- Support for partially active menu items

## [0.22.1] - 2019-12-11

### Changed

- Size of hamburger menu close symbol is now equal to open symbol

## [0.22.0] - 2019-12-11

### Added

- New titlesInGrid property to ImageGallery

## [0.21.2] - 2019-12-09

### Fixed

- Loads web components polyfill before loading web components :)

## [0.21.1] - 2019-12-09

### Removed

- Unused dependencies

## [0.21.0] - 2019-12-09

### Removed

- LeafletMap removed due to rendering problems when using page navigation Use
  GoogleMap instead.

## [0.20.1] - 2019-12-09

### Fixed

- Build problem connected to Oma

## [0.20.0] - 2019-12-05

### Changed

- ImageGallery prop changed from taking image edges to taking a whole query

## [0.19.1] - 2019-12-05

### Fixed

- Class name for ImageGallery button.

## [0.19.0] - 2019-12-05

### Changed

- ImageGallery now takes image edges instead. The data massaging instead done in
  the component.

## [0.18.1] - 2019-12-05

### Fixed

- Missing space in CreatedBy sub component

## [0.18.0] - 2019-12-05

### Changed

- Renames Copyright to CreatedBy

## [0.17.0] - 2019-12-04

### Changed

- Upgrades a lot of packages

## [0.16.1] - 2019-12-04

### Added

- Adds oma-internal to HeimrLayout

## [0.16.0] - 2019-12-04

### Changed

- Heimr components replaced with Oma

### Removed

- Haunted dependency, included in Oma

## [0.15.0] - 2019-12-04

### Added

- ImageGallery

## [0.14.1] - 2019-12-03

### Fixed

- Default styling for BackgroundSlider

## [0.14.0] - 2019-12-03

### Added

- BackgroundSlider
- Dependency to sharp, which hopefully will fix sharp build problem

## [0.13.10] - 2019-11-19

### Fixed

- Fixes missing space in Copyright

## [0.13.9] - 2019-11-19

### Changed

- Adds text property to Copyright

## [0.13.8] - 2019-11-18

### Fixed

- Fixes typo in Copyright

## [0.13.7] - 2019-11-18

### Changed

- Upgrades gatsby-transformer-sharp

## [0.13.6] - 2019-11-18

### Changed

- Upgrades gatsby-plugin-sharp

## [0.13.5] - 2019-11-13

### Added

- Gatsby config for stylelint plugin. This means it should no longer be included
  explicitly on each site.

## [0.13.4] - 2019-11-13

### Fixed

- Adds back leaflet dependencies to enable building the theme

## [0.13.3] - 2019-11-13

### Fixed

- Replaces gatsby-plugin-root-import with gatsby-plugin-resolve-src (sites that
  includes the latter plugin themselves can safely remove that dependency now
  since it's included in the theme).

## [0.13.2] - 2019-11-13

### Changed

- Upgrades packages

## [0.13.1] - 2019-11-13

### Changed

- Removes classnames package as a peer dependency

## [0.13.0] - 2019-11-13

### Added

- Component exports

## [0.12.0] - 2019-11-13

### Added

- robots.txt
- humans.txt
- security.txt

### Changed

- <heimr-site> moved to theme, so this should be removed from sites.
- `siteUrl` is now a required option to the theme

[0.65.0]:
  https://gitea.accodeing.com/heimr/gatsby-theme/compare/v0.64.0...v0.65.0
[0.64.0]:
  https://gitea.accodeing.com/heimr/gatsby-theme/compare/v0.63.0...v0.64.0
[0.63.0]:
  https://gitea.accodeing.com/heimr/gatsby-theme/compare/v0.62.0...v0.63.0
[0.62.0]:
  https://gitea.accodeing.com/heimr/gatsby-theme/compare/v0.61.0...v0.62.0
[0.61.0]:
  https://gitea.accodeing.com/heimr/gatsby-theme/compare/v0.60.0...v0.61.0
[0.60.0]:
  https://gitea.accodeing.com/heimr/gatsby-theme/compare/v0.59.0...v0.60.0
[0.59.0]:
  https://gitea.accodeing.com/heimr/gatsby-theme/compare/v0.58.3...v0.59.0
[0.58.3]:
  https://gitea.accodeing.com/heimr/gatsby-theme/compare/v0.58.2...v0.58.3
[0.58.2]:
  https://gitea.accodeing.com/heimr/gatsby-theme/compare/v0.58.1...v0.58.2
[0.58.1]:
  https://gitea.accodeing.com/heimr/gatsby-theme/compare/v0.58.0...v0.58.1
[0.58.0]:
  https://gitea.accodeing.com/heimr/gatsby-theme/compare/v0.57.2...v0.58.0
[0.57.2]:
  https://gitea.accodeing.com/heimr/gatsby-theme/compare/v0.57.1...v0.57.2
[0.57.1]:
  https://gitea.accodeing.com/heimr/gatsby-theme/compare/v0.57.0...v0.57.1
[0.57.0]:
  https://gitea.accodeing.com/heimr/gatsby-theme/compare/v0.56.0...v0.57.0
[0.56.0]:
  https://gitea.accodeing.com/heimr/gatsby-theme/compare/v0.55.1...v0.56.0
[0.55.1]:
  https://gitea.accodeing.com/heimr/gatsby-theme/compare/v0.55.0...v0.55.1
[0.55.0]:
  https://gitea.accodeing.com/heimr/gatsby-theme/compare/v0.54.0...v0.55.0
[0.54.0]:
  https://gitea.accodeing.com/heimr/gatsby-theme/compare/v0.53.0...v0.54.0
[0.53.0]:
  https://gitea.accodeing.com/heimr/gatsby-theme/compare/v0.52.1...v0.53.0
[0.52.1]:
  https://gitea.accodeing.com/heimr/gatsby-theme/compare/v0.52.0...v0.52.1
[0.52.0]:
  https://gitea.accodeing.com/heimr/gatsby-theme/compare/v0.51.1...v0.52.0
[0.51.1]:
  https://gitea.accodeing.com/heimr/gatsby-theme/compare/v0.51.0...v0.51.1
[0.51.0]:
  https://gitea.accodeing.com/heimr/gatsby-theme/compare/v0.50.0...v0.51.0
[0.50.0]:
  https://gitea.accodeing.com/heimr/gatsby-theme/compare/v0.49.1...v0.50.0
[0.49.1]:
  https://gitea.accodeing.com/heimr/gatsby-theme/compare/v0.49.0...v0.49.1
[0.49.0]:
  https://gitea.accodeing.com/heimr/gatsby-theme/compare/v0.48.0...v0.49.0
[0.48.0]:
  https://gitea.accodeing.com/heimr/gatsby-theme/compare/v0.47.0...v0.48.0
[0.47.0]:
  https://gitea.accodeing.com/heimr/gatsby-theme/compare/v0.46.1...v0.47.0
[0.46.1]:
  https://gitea.accodeing.com/heimr/gatsby-theme/compare/v0.46.0...v0.46.1
[0.46.0]:
  https://gitea.accodeing.com/heimr/gatsby-theme/compare/v0.45.0...v0.46.0
[0.45.0]:
  https://gitea.accodeing.com/heimr/gatsby-theme/compare/v0.44.0...v0.45.0
[0.44.0]:
  https://gitea.accodeing.com/heimr/gatsby-theme/compare/v0.43.1...v0.44.0
[0.43.1]:
  https://gitea.accodeing.com/heimr/gatsby-theme/compare/v0.43.0...v0.43.1
[0.43.0]:
  https://gitea.accodeing.com/heimr/gatsby-theme/compare/v0.42.0...v0.43.0
[0.42.0]:
  https://gitea.accodeing.com/heimr/gatsby-theme/compare/v0.41.4...v0.42.0
[0.41.4]:
  https://gitea.accodeing.com/heimr/gatsby-theme/compare/v0.41.3...v0.41.4
[0.41.3]:
  https://gitea.accodeing.com/heimr/gatsby-theme/compare/v0.41.2...v0.41.3
[0.41.2]:
  https://gitea.accodeing.com/heimr/gatsby-theme/compare/v0.41.1...v0.41.2
[0.41.1]:
  https://gitea.accodeing.com/heimr/gatsby-theme/compare/v0.41.0...v0.41.1
[0.41.0]:
  https://gitea.accodeing.com/heimr/gatsby-theme/compare/v0.40.3...v0.41.0
[0.40.3]:
  https://gitea.accodeing.com/heimr/gatsby-theme/compare/v0.40.2...v0.40.3
[0.40.2]:
  https://gitea.accodeing.com/heimr/gatsby-theme/compare/v0.40.1...v0.40.2
[0.40.1]:
  https://gitea.accodeing.com/heimr/gatsby-theme/compare/v0.40.0...v0.40.1
[0.40.0]:
  https://gitea.accodeing.com/heimr/gatsby-theme/compare/v0.39.0...v0.40.0
[0.39.0]:
  https://gitea.accodeing.com/heimr/gatsby-theme/compare/v0.38.1...v0.39.0
[0.38.1]:
  https://gitea.accodeing.com/heimr/gatsby-theme/compare/v0.38.0...v0.38.1
[0.38.0]:
  https://gitea.accodeing.com/heimr/gatsby-theme/compare/v0.37.1...v0.38.0
[0.37.1]:
  https://gitea.accodeing.com/heimr/gatsby-theme/compare/v0.37.0...v0.37.1
[0.37.0]:
  https://gitea.accodeing.com/heimr/gatsby-theme/compare/v0.36.1...v0.37.0
[0.36.1]:
  https://gitea.accodeing.com/heimr/gatsby-theme/compare/v0.36.0...v0.36.1
[0.36.0]:
  https://gitea.accodeing.com/heimr/gatsby-theme/compare/v0.35.1...v0.36.0
[0.35.1]:
  https://gitea.accodeing.com/heimr/gatsby-theme/compare/v0.35.0...v0.35.1
[0.35.0]:
  https://gitea.accodeing.com/heimr/gatsby-theme/compare/v0.34.1...v0.35.0
[0.34.1]:
  https://gitea.accodeing.com/heimr/gatsby-theme/compare/v0.34.0...v0.34.1
[0.34.0]:
  https://gitea.accodeing.com/heimr/gatsby-theme/compare/v0.33.1...v0.34.0
[0.33.1]:
  https://gitea.accodeing.com/heimr/gatsby-theme/compare/v0.33.0...v0.33.1
[0.33.0]:
  https://gitea.accodeing.com/heimr/gatsby-theme/compare/v0.32.3...v0.33.0
[0.32.3]:
  https://gitea.accodeing.com/heimr/gatsby-theme/compare/v0.32.2...v0.32.3
[0.32.2]:
  https://gitea.accodeing.com/heimr/gatsby-theme/compare/v0.32.1...v0.32.2
[0.32.1]:
  https://gitea.accodeing.com/heimr/gatsby-theme/compare/v0.32.0...v0.32.1
[0.32.0]:
  https://gitea.accodeing.com/heimr/gatsby-theme/compare/v0.31.1...v0.32.0
[0.31.1]:
  https://gitea.accodeing.com/heimr/gatsby-theme/compare/v0.31.0...v0.31.1
[0.31.0]:
  https://gitea.accodeing.com/heimr/gatsby-theme/compare/v0.30.0...v0.31.0
[0.30.0]:
  https://gitea.accodeing.com/heimr/gatsby-theme/compare/v0.29.2...v0.30.0
[0.29.2]:
  https://gitea.accodeing.com/heimr/gatsby-theme/compare/v0.29.1...v0.29.2
[0.29.1]:
  https://gitea.accodeing.com/heimr/gatsby-theme/compare/v0.29.0...v0.29.1
[0.29.0]:
  https://gitea.accodeing.com/heimr/gatsby-theme/compare/v0.28.1...v0.29.0
[0.28.1]:
  https://gitea.accodeing.com/heimr/gatsby-theme/compare/v0.28.0...v0.28.1
[0.28.0]:
  https://gitea.accodeing.com/heimr/gatsby-theme/compare/v0.27.3...v0.28.0
[0.27.3]:
  https://gitea.accodeing.com/heimr/gatsby-theme/compare/v0.27.2...v0.27.3
[0.27.2]:
  https://gitea.accodeing.com/heimr/gatsby-theme/compare/v0.27.1...v0.27.2
[0.27.1]:
  https://gitea.accodeing.com/heimr/gatsby-theme/compare/v0.27.0...v0.27.1
[0.27.0]:
  https://gitea.accodeing.com/heimr/gatsby-theme/compare/v0.26.4...v0.27.0
[0.26.4]:
  https://gitea.accodeing.com/heimr/gatsby-theme/compare/v0.26.3...v0.26.4
[0.26.3]:
  https://gitea.accodeing.com/heimr/gatsby-theme/compare/v0.26.2...v0.26.3
[0.26.2]:
  https://gitea.accodeing.com/heimr/gatsby-theme/compare/v0.26.1...v0.26.2
[0.26.1]:
  https://gitea.accodeing.com/heimr/gatsby-theme/compare/v0.26.0...v0.26.1
[0.26.0]:
  https://gitea.accodeing.com/heimr/gatsby-theme/compare/v0.25.1...v0.26.0
[0.25.1]:
  https://gitea.accodeing.com/heimr/gatsby-theme/compare/v0.25.0...v0.25.1
[0.25.0]:
  https://gitea.accodeing.com/heimr/gatsby-theme/compare/v0.24.0...v0.25.0
[0.24.0]:
  https://gitea.accodeing.com/heimr/gatsby-theme/compare/v0.23.1...v0.24.0
[0.23.1]:
  https://gitea.accodeing.com/heimr/gatsby-theme/compare/v0.23.0...v0.23.1
[0.23.0]:
  https://gitea.accodeing.com/heimr/gatsby-theme/compare/v0.22.1...v0.23.0
[0.22.1]:
  https://gitea.accodeing.com/heimr/gatsby-theme/compare/v0.22.0...v0.22.1
[0.22.0]:
  https://gitea.accodeing.com/heimr/gatsby-theme/compare/v0.21.2...v0.22.0
[0.21.2]:
  https://gitea.accodeing.com/heimr/gatsby-theme/compare/v0.21.1...v0.21.2
[0.21.1]:
  https://gitea.accodeing.com/heimr/gatsby-theme/compare/v0.21.0...v0.21.1
[0.21.0]:
  https://gitea.accodeing.com/heimr/gatsby-theme/compare/v0.20.1...v0.21.0
[0.20.1]:
  https://gitea.accodeing.com/heimr/gatsby-theme/compare/v0.20.0...v0.20.1
[0.20.0]:
  https://gitea.accodeing.com/heimr/gatsby-theme/compare/v0.19.1...v0.20.0
[0.19.1]:
  https://gitea.accodeing.com/heimr/gatsby-theme/compare/v0.19.0...v0.19.1
[0.19.0]:
  https://gitea.accodeing.com/heimr/gatsby-theme/compare/v0.18.1...v0.19.0
[0.18.1]:
  https://gitea.accodeing.com/heimr/gatsby-theme/compare/v0.18.0...v0.18.1
[0.18.0]:
  https://gitea.accodeing.com/heimr/gatsby-theme/compare/v0.17.0...v0.18.0
[0.17.0]:
  https://gitea.accodeing.com/heimr/gatsby-theme/compare/v0.16.1...v0.17.0
[0.16.1]:
  https://gitea.accodeing.com/heimr/gatsby-theme/compare/v0.16.0...v0.16.1
[0.16.0]:
  https://gitea.accodeing.com/heimr/gatsby-theme/compare/v0.15.0...v0.16.0
[0.15.0]:
  https://gitea.accodeing.com/heimr/gatsby-theme/compare/v0.14.1...v0.15.0
[0.14.1]:
  https://gitea.accodeing.com/heimr/gatsby-theme/compare/v0.14.0...v0.14.1
[0.14.0]:
  https://gitea.accodeing.com/heimr/gatsby-theme/compare/v0.13.10...v0.14.0
[0.13.10]:
  https://gitea.accodeing.com/heimr/gatsby-theme/compare/v0.13.9...v0.13.10
[0.13.9]:
  https://gitea.accodeing.com/heimr/gatsby-theme/compare/v0.13.8...v0.13.9
[0.13.8]:
  https://gitea.accodeing.com/heimr/gatsby-theme/compare/v0.13.7...v0.13.8
[0.13.7]:
  https://gitea.accodeing.com/heimr/gatsby-theme/compare/v0.13.6...v0.13.7
[0.13.6]:
  https://gitea.accodeing.com/heimr/gatsby-theme/compare/v0.13.5...v0.13.6
[0.13.5]:
  https://gitea.accodeing.com/heimr/gatsby-theme/compare/v0.13.4...v0.13.5
[0.13.4]:
  https://gitea.accodeing.com/heimr/gatsby-theme/compare/v0.13.3...v0.13.4
[0.13.3]:
  https://gitea.accodeing.com/heimr/gatsby-theme/compare/v0.13.2...v0.13.3
[0.13.2]:
  https://gitea.accodeing.com/heimr/gatsby-theme/compare/v0.13.1...v0.13.2
[0.13.1]:
  https://gitea.accodeing.com/heimr/gatsby-theme/compare/v0.13.0...v0.13.1
[0.13.0]:
  https://gitea.accodeing.com/heimr/gatsby-theme/compare/v0.12.0...v0.13.0
[0.12.0]:
  https://gitea.accodeing.com/heimr/gatsby-theme/compare/v0.11.8...v0.12.0
